Module java.desktop
Package javax.swing.plaf.metal

## Class MetalCheckBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.metal.MetalRadioButtonUI
            - - javax.swing.plaf.metal.MetalCheckBoxUI

-     public class MetalCheckBoxUI
      extends MetalRadioButtonUI

  CheckboxUI implementation for MetalCheckboxUI

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    - ### Fields declared in class javax.swing.plaf.metal.MetalRadioButtonUI

      `disabledTextColor, focusColor, selectColor`

    - ### Fields declared in class javax.swing.plaf.basic.BasicRadioButtonUI

      `icon`

    - ### Fields declared in class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalCheckBoxUI()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent b)` | Returns an instance of `MetalCheckBoxUI`.

    - ### Methods declared in class javax.swing.plaf.metal.MetalRadioButtonUI

      `getDisabledTextColor, getFocusColor, getSelectColor`

    - ### Methods declared in class javax.swing.plaf.basic.BasicRadioButtonUI

      `getDefaultIcon, getPreferredSize, paint, paintFocus`

    - ### Methods declared in class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods declared in class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getPropertyPrefix, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, installUI, uninstallUI, update`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalCheckBoxUI

          public MetalCheckBoxUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent b)

      Returns an instance of `MetalCheckBoxUI`.
      Parameters:
        `b` - a component
      Returns:
        a new instance of `MetalCheckBoxUI`